
import numpy as np
import pandas as pd
import dask.dataframe as dd
from dask.distributed import Client

def aggregate_data(file_path):
    # Initialize Dask client
    client = Client()

    # Read the CSV file into a Dask DataFrame
    df = dd.read_csv(file_path)

    # Calculate the mean of a specific column
    mean_value = df['value'].mean().compute()

    # Calculate the median of a specific column
    median_value = df['value'].median().compute()

    # Return the results as a pandas DataFrame
    result = pd.DataFrame({
        'Mean': [mean_value],
        'Median': [median_value]
    })

    return result



